Skip to main content
PATCH
Partially update an inventory movement

Autorizaciones

Authorization
string
header
requerido

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Parámetros de ruta

id
string<uuid>
requerido

A UUID string identifying this movement.

Cuerpo

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

custom_fields
unknown
operation_number
integer
predeterminado:0
Rango requerido: 0 <= x <= 2147483647
operation_date
string<date-time>
operation_status
enum<string>
  • PR - Provisional
  • CO - Complete
  • ER - Error
Opciones disponibles:
PR,
CO,
ER
status_description
string | null
description
string | null
is_entry
boolean
additional_info
string | null
is_directly_created
boolean
operation
string<uuid>
market_exchange_rate
string<uuid> | null
branch_office
string<uuid>
warehouse
string<uuid>
source_inventory
string<uuid> | null
app
string<uuid>
stakeholder
string<uuid>

Respuesta

200 - application/json
message
string
requerido

Human-readable outcome of the request.

error
boolean
requerido

true when the request failed.

Ejemplo:

false

data
object
requerido

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.